Subject: Re: gcc not producing executables
From: Christopher Faylor <[email-masked]>
To: Syzop <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 Dec 2001 23:28:39 -0500

On Tue, Dec 25, 2001 at 04:39:06AM +0100, Syzop wrote:
>>cygcheck -c binutils
>>
>>will do the same thing.
>
>I should have known that:
>$ cygcheck --help
>Usage: cygcheck [OPTIONS] [program ...]
>  -s, --sysinfo  = system information (not with -k)
>  -v, --verbose  = verbose output (indented) (for -s or programs)
>  -r, --registry = registry search (requires -s)
>  -k, --keycheck = perform a keyboard check session (not with -s)
>  -h, --help     = give help about the info
>You must at least give either -s or -k or a program name
>
>cq: maybe the --help info could be updated

Or maybe you could read the cygwin email archives where this observation
has been made more than once.  Or, maybe you could read the online
documentation where this option is mentioned.

It's obviously an oversight in the help output.  It's corrected in the
sources but I'm not going to make a new cygwin release just to fix the
cygcheck help.

I wasn't berating you for not doing the right thing.  I was merely
explaining YA that there was a more efficient way to do this.

>Anyway I'm more interrested in getting my gcc back alive.

Have fun.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/